/* vim: set sw=3 ts=3 sts=3 expandtab: */
#ifndef ECDB_PROJECTS_H
#define ECDB_PROJECTS_H

Ecdb_Project         *ecdb_project_new(void);
void                  ecdb_project_destroy(Ecdb_Project *proj);
void                  ecdb_project_type_set(Ecdb_Project *proj, unsigned int t);

Ecdb_Burn_Project    *ecdb_burn_project_new(void);
void                  ecdb_burn_project_destroy(Ecdb_Burn_Project *proj);

Ecdb_Erase_Project   *ecdb_erase_project_new(void);
void                  ecdb_erase_project_destroy(Ecdb_Erase_Project *proj);

Ecdb_Audio_Project   *ecdb_audio_project_new(void);
void                  ecdb_audio_project_destroy(Ecdb_Audio_Project *proj);

Ecdb_Data_Project    *ecdb_data_project_new(void);
void                  ecdb_data_project_destroy(Ecdb_Data_Project *proj);

Ecdb_Image_Project   *ecdb_image_project_new(void);
void                  ecdb_image_project_destroy(Ecdb_Image_Project *proj);


#endif
